# Changetrack konfigurieren
class ubuntu_server::changetrack{

    File{
        owner => root,
        group => root,
        mode => 0644,
    }

    package{'changetrack':
        ensure => present,
    }

    file_line{'changetrack_config_1':
        path    => '/etc/default/changetrack',
        line    => 'AUTO_TRACK_ALL_CONFFILES=yes',
        match   => '^AUTO_TRACK_ALL_CONFFILES',
        require => Package['changetrack'],
    }

    file{'changetrack_cfg':
        ensure  => file,
        path    => '/etc/changetrack.conf',
        source  => 'puppet:///modules/ubuntu_server/etc/changetrack.conf',
        require => Package['changetrack'],
    }
}
