# Hinterlegt iptables-Konfiguration für den Host
class ubuntu_server::firewall($firewall_scripts_pre_up=false,$firewall_scripts_up=false) {
    File{
        owner => 'root',
        group => 'root',
        mode => 0755,
    }

    Exec{
        path => $::path,
    }

    if $firewall_scripts_pre_up != false {
      file{'/etc/network/if-pre-up.d/':
          ensure  => present,
          source  => $firewall_scripts_pre_up,
          recurse => remote,
          notify  => Exec['mark_firewall_reboot'],
      }

    }

    if $firewall_scripts_up != false {
      file{'/etc/network/if-up.d/':
          ensure  => present,
          source  => $firewall_scripts_up,
          recurse => remote,
          notify  => Exec['mark_firewall_reboot'],
      }
    }

    exec{'mark_firewall_reboot':
        command     => 'touch /var/run/reboot-required',
        refreshonly => true,
    }
}
