# Sets kernel option to panic and reboot on a hung task.
class ubuntu_server::sysctl_hung_task_panic{

    File{
        owner => root,
        group => root,
        mode => 0644,
    }

    file{'/etc/sysctl.d/32-hung_task_panic.conf':
        ensure => present,
        source => 'puppet:///modules/ubuntu_server/etc/sysctl.d/32-hung_task_panic.conf',
    } ~> Exec['hung_task_panic_enable']

    exec{'hung_task_panic_enable':
        path        => $::path,
        command     => 'cat /etc/sysctl.d/32-hung_task_panic.conf /etc/sysctl.conf | sysctl -e -p - ',
        refreshonly => true,
    }
}
