# unattended-upgrades konfigurieren
class ubuntu_server::unattended_upgrades($automatic_reboot = false, $autoremove = true, $allowed_origins = ["\${distro_id}:\${distro_codename}-updates","LP-PPA-ubuntu-lxc-lxd-stable:\${distro_codename}","Docker:ubuntu-\${distro_codename}","Puppetlabs:\${distro_codename}"], $package_blacklist = ['docker-engine']){

    File{
        owner => root,
        group => root,
        mode => 0644,
    }

    exec{'unattended-upgrades-debconf':
        path    => $::path,
        command => 'echo unattended-upgrades unattended-upgrades/enable_auto_updates boolean true | debconf-set-selections',
        unless  => 'debconf-get-selections | grep unattended | grep -q true',
        before  => Package['unattended-upgrades'],
    }

    package{'unattended-upgrades':
        ensure => present,
    }

    file{'/etc/apt/apt.conf.d/50unattended-upgrades':
        ensure  => present,
        content => template("ubuntu_server/etc/apt/apt.conf.d/${::operatingsystem}_50unattended-upgrades.erb"),
    }

    file{'/etc/apt/apt.conf.d/20auto-upgrades':
      ensure => present,
      source => 'puppet:///modules/ubuntu_server/etc/apt.conf.d/20auto-upgrades',
    }
}
