require 'spec_helper'

describe "ubuntu_server::docker" do

  let(:facts) {{
    :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
  }}

  it { is_expected.to compile.with_all_deps }

  context "with class defaults and docker_compose_version < 1.8.1" do
    let(:facts) {{
      :docker_compose_version => '1.8.0',
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_exec('docker-compose') }
    it { is_expected.to contain_exec('docker-compose-bash-completion') }
    it { is_expected.to contain_file('/usr/local/bin/docker-compose') }
  end

  context "with class defaults and docker_compose_version => 1.8.1" do
    let(:facts) {{
      :docker_compose_version => '1.8.1',
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.not_to contain_exec('docker-compose') }
    it { is_expected.not_to contain_exec('docker-compose-bash-completion') }
    it { is_expected.not_to contain_file('/usr/local/bin/docker-compose') }
  end

end
