require 'spec_helper'

describe "ubuntu_server::firewall" do

  context "with class defaults" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    it { is_expected.to compile.with_all_deps }
  end

  context "with $firewall_scripts_pre_up='/etc/some/firewall/scripts'" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    let(:params) {{
      :firewall_scripts_pre_up => "/etc/some/firewall/scripts",
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_file('/etc/network/if-pre-up.d/').with_source('/etc/some/firewall/scripts') }
  end

  context "with $firewall_scripts_up='/etc/some/firewall/scripts'" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    let(:params) {{
      :firewall_scripts_up => "/etc/some/firewall/scripts",
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_file('/etc/network/if-up.d/').with_source('/etc/some/firewall/scripts') }
  end

end
