require 'spec_helper'

describe "ubuntu_server::grub" do

  context "with $::virtual == 'vmware'" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
      :virtual => 'vmware',
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_file_line('grub_config_3') }
  end

  context "with $::virtual != 'vmware'" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.not_to contain_file_line('grub_config_3') }
  end

end
