require 'spec_helper'

describe "ubuntu_server::nrpe" do

  context "with class defaults" do
    it { is_expected.to compile.with_all_deps }
    it { is_expected.not_to contain_file_line('sudoers_1') }
  end

  context "with $nrpe_local_cfg='/some/puppet/url' and $nrpe_scripts='/some/puppet/url'" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    let(:params) {{
      :nrpe_local_cfg => '/some/puppet/url',
      :nrpe_scripts => '/some/puppet/url',
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_file('/etc/nagios/nrpe_local.cfg').with_source('/some/puppet/url') }
    it { is_expected.to contain_file('nrpe_scripts').with_source('/some/puppet/url') }
  end

  context "with $enable_sudo_docker=true" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    let(:params) {{
      :enable_sudo_docker => true,
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_file_line('sudoers_1') }
  end
end
