require 'spec_helper'

describe "ubuntu_server::ntp" do

  context "with class defaults" do
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_file('/etc/ntp.conf').with_content(/server ntps(1|2|3).gwdg.de/) }
  end

  context "with $gwdg_ntp_servers = ['no-time.gwdg.de','some-time.gwdg.de']" do
    let(:facts) {{
      :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    }}
    let(:params) {{
      :gwdg_ntp_servers => ['no-time.gwdg.de','some-time.gwdg.de'],
    }}
    it { is_expected.to compile.with_all_deps }
    it { is_expected.to contain_file('/etc/ntp.conf').with_content(/server (no|some)-time.gwdg.de/) }
  end
end
